.w-tabs {
    display: flex;
    margin-bottom: 20px;
    position: relative;
}

.w-tab {
    padding: 6px 16px;
    cursor: pointer;
    /* border: 1px solid #ddd; */
    border-bottom: 1px solid #ddd;
    /* margin-right: 5px; */
    background-color: #f6f6f6;
    border-radius: 4px 4px 0 0;
    position: relative;
    z-index: 1;
}

.w-tab.active {
    background-color: #fff;
    border-color: #ddd;
    border: 1px solid #ddd;
    /* color: #19af3c; */
    /* font-weight: bold; */
    border-bottom: none;
    z-index: 2;
}

/* 添加一个伪元素来模拟底部边框线 */
.w-tabs::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    height: 1px;
    background-color: #ddd;
    z-index: 0;
}

.w-tab-content {
    display: none;
}

.w-tab-content.active {
    display: block;
}

.w-form-row {
    display: flex;
    margin-bottom: .4rem;
    flex-wrap: wrap;
}

.w-form-col {
    /* margin-right: 15px; */
    margin-bottom: .5rem;
}

.w-form-label {
    /* display: block; */
    margin-bottom: 5px;
    /* font-weight: bold; */
}

.w-form-select,
.w-form-input {
    padding: 5.5px 10px;
    border: 1px solid #ddd;
    border-radius: 4px;
    font-size: .9rem;
    width: 108px;
}

.w-form-textarea {
    width: 100%;
    padding:8px;
    color:#444;
    font-size: .94rem;
    border: 1px solid #ddd;
    border-radius: 4px;
    resize: vertical;
}

.w-btn {
    padding: 8px 16px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    margin-right: 10px;
}

.w-btn-primary {
    background-color: #19af3c;
    color: white;
}

.w-btn-gray {
    background-color: #f0f0f0;
    color: #333;
}

.w-btn-middle {
    padding: 4px 8px;
    font-size: .88rem;
}

.w-btn-small {
    padding: 4px 8px;
    font-size: .75rem;
}

.w-field-header {
    display: flex;
    /* justify-content: space-between; */
    /* align-items: left; */
    margin-bottom: 5px;
}


label {
    display: inline-block;
    max-width: 100%;
    margin: 0 0px 5px 0;
}



.w-btn {
    border-radius: 3px;
    display: inline-block;
    font-weight: 400;
    color: #333;
    text-align: center;
    white-space: nowrap;
    border: 1px solid #eee;
    background-color: #eee;
    padding: .3rem .75rem;
    font-size: .9rem;
    height: 2rem;
    line-height: 1;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    cursor: pointer;
    user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none
}

.w-btn-common {
    color: #fff;
    background-color: #19af3c;
    border-color: #19af3c
}

/* .btn-common:active,
.btn-common:focus, */
.w-btn-common:hover {
    color: #fff;
    background-color: #178e32;
    /* background-color: #149c34; */
    border-color: #178e32;
    /* border-color: #149c34 */
}